import { TypographyStyles, FontScaleArgs, TitlepieceSizes, HeadlineSizes, BodySizes, TextSansSizes } from "./data";
declare type TitlepieceFunctions = {
    [key in TitlepieceSizes]: (options?: FontScaleArgs) => TypographyStyles;
};
export declare const titlepiece: TitlepieceFunctions;
declare type HeadlineFunctions = {
    [key in HeadlineSizes]: (options?: FontScaleArgs) => TypographyStyles;
};
export declare const headline: HeadlineFunctions;
declare type BodyFunctions = {
    [key in BodySizes]: (options?: FontScaleArgs) => TypographyStyles;
};
export declare const body: BodyFunctions;
declare type TextSansFunctions = {
    [key in TextSansSizes]: (options?: FontScaleArgs) => TypographyStyles;
};
export declare const textSans: TextSansFunctions;
export {};
